from django.urls import path
from django.contrib.auth import views as auth_views

from . import views
from . import actions

app_name = 'multimail'
urlpatterns = [
    path('', views.DomainListView.as_view(), name='index'),
    path('domains/', views.DomainListView.as_view(), name='domains'),
    path('mailboxes/', views.MailboxListView.as_view(), name='mailboxes'),
    path('<int:pk>/', views.DetailView.as_view(), name='detail'),
    path('<int:pk>/results/', views.ResultsView.as_view(), name='results'),
    path('<int:question_id>/vote/', actions.vote, name='vote'),
    path('login/', auth_views.LoginView.as_view(), name='login'),
    path('logout/', auth_views.LogoutView.as_view(), name='logout'),
]