from django.http import HttpResponseRedirect
from django.shortcuts import get_object_or_404, render
from django.urls import reverse
from django.views import generic
from django.utils import timezone
from django.contrib.auth.decorators import login_required
from django.contrib.auth.mixins import LoginRequiredMixin

from .models import Choice, Question, Domain, Mailbox


class DomainListView(LoginRequiredMixin, generic.ListView):
    login_url = 'login/'
    # redirect_field_name = 'redirect_to'
    template_name = 'multimail/domains.html'
    context_object_name = 'domain_list'

    def get_queryset(self):
        print(self.request.user)
        """Return the last five published questions."""
        #return Domain.objects.filter(
        #    pub_date__lte=timezone.now()
        #).order_by('-pub_date')[:5]
        return Domain.objects.all()

class MailboxListView(LoginRequiredMixin, generic.ListView):
    login_url = 'login/'
    # redirect_field_name = 'redirect_to'
    template_name = 'multimail/mailboxes.html'
    context_object_name = 'mailbox_list'

    def get_queryset(self):
        print(self.request.user)
        """Return the last five published questions."""
        #return Domain.objects.filter(
        #    pub_date__lte=timezone.now()
        #).order_by('-pub_date')[:5]
        return Mailbox.objects.all()


class DetailView(LoginRequiredMixin, generic.DetailView):
    login_url = 'login/'
    model = Question
    template_name = 'multimail/detail.html'

    def get_queryset(self):
        """
        Excludes any questions that aren't published yet.
        """
        return Question.objects.filter(pub_date__lte=timezone.now())


class ResultsView(LoginRequiredMixin, generic.DetailView):
    login_url = 'login/'
    model = Question
    template_name = 'multimail/results.html'

